---
identifier: "GMS-2013-20"
package_slug: "gem/yard"
title: "Cross-site Scripting"
description: "This package is vulnerable to Cross-site Scripting (XSS). Strings parsed
  from the anchor in the address bar were not sanitized, allowing for arbitrary HTML
  to be embedded into the page."
date: "2013-09-11"
pubdate: "2013-09-11"
affected_range: ">=0.8.0 <0.8.7.1"
fixed_versions:
- "0.8.7.1"
affected_versions: "All versions starting from 0.8.0 before 0.8.7.1"
solution: "Upgrade to latest version."
urls:
- "https://github.com/lsegal/yard/commit/715d6cb462392e610ab751fcfee7b622850fa802"
credit: "Loren Segal"
uuid: "2baa51b4-5ddf-42b6-83d9-f3e61c744de8"
